## hera 0~git20200602+dfsg

=== wasserstein/CMakeLists.txt ===
project                     (wasserstein)
cmake_minimum_required      (VERSION 3.5.1)

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

include (GenerateExportHeader)

include(TestBigEndian)
test_big_endian(BIG_ENDIAN)
if(BIG_ENDIAN)
  add_definitions(-DBIGENDIAN)
endif()

# Default to Release

if                          (NOT CMAKE_BUILD_TYPE)
    set                     (CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
    set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
endif                       (NOT CMAKE_BUILD_TYPE)

# Boost
find_package                (Boost)
include_directories         (${CMAKE_CURRENT_SOURCE_DIR}/include
                             SYSTEM ${Boost_INCLUDE_DIR})

if(NOT WIN32)
    add_definitions(-std=c++14)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -ggdb -D_GLIBCXX_DEBUG")
    set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3 ")
    set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELEASE} -O2 -g -ggdb")
endif(NOT WIN32)

file(GLOB WS_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/include/*.h ${CMAKE_CURRENT_SOURCE_DIR}/include/*.hpp)

#add_library(wasserstein ${WS_SOURCES})

#if (WIN32)
    #GENERATE_EXPORT_HEADER(wasserstein
               #BASE_NAME wasserstein
               #EXPORT_MACRO_NAME wasserstein_EXPORT
               #EXPORT_FILE_NAME wasserstein_export.h
               #STATIC_DEFINE wasserstein_BUILT_AS_STATIC)
#endif(WIN32)

find_package (Threads)
set (libraries ${libraries}     ${CMAKE_THREAD_LIBS_INIT})

add_executable(wasserstein_dist ${CMAKE_CURRENT_SOURCE_DIR}/example/wasserstein_dist.cpp ${WS_HEADERS} include/hera_infinity.h)
target_link_libraries(wasserstein_dist PUBLIC ${libraries})

add_executable(wasserstein_dist_dipha ${CMAKE_CURRENT_SOURCE_DIR}/example/wasserstein_dist_dipha.cpp ${WS_HEADERS} include/hera_infinity.h)
target_link_libraries(wasserstein_dist_dipha PUBLIC ${libraries})

# pure geometric version, arbitrary dimension
add_executable(wasserstein_dist_point_cloud ${CMAKE_CURRENT_SOURCE_DIR}/example/wasserstein_dist_point_cloud.cpp ${WS_HEADERS} include/hera_infinity.h)
target_link_libraries(wasserstein_dist_point_cloud PUBLIC ${libraries})

# Tests
add_executable(wasserstein_test  ${CMAKE_CURRENT_SOURCE_DIR}/tests/tests_main.cpp ${CMAKE_CURRENT_SOURCE_DIR}/tests/test_hera_wasserstein.cpp ${CMAKE_CURRENT_SOURCE_DIR}/tests/test_hera_wasserstein_pure_geom.cpp  include/hera_infinity.h tests/tests_reader.h)
#add_executable(wasserstein_test EXCLUDE_FROM_ALL ${CMAKE_CURRENT_SOURCE_DIR}/tests/test_hera_wasserstein.cpp)
target_link_libraries(wasserstein_test PUBLIC ${libraries})

## hera 0~git20200602%2Bdfsg

=== debian/control ===
Source: hera
Maintainer: Gard Spreemann <gspr@nonempty.org>
Section: math
Priority: optional
Standards-Version: 4.5.1
Build-Depends: catch2,
               cmake (>= 3.5.1),
               debhelper-compat (= 13),
               libboost-dev
Rules-Requires-Root: no
Homepage: https://github.com/grey-narn/hera/
Vcs-Browser: https://salsa.debian.org/gspr/hera
Vcs-Git: https://salsa.debian.org/gspr/hera.git -b debian/sid

Package: libhera-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: libboost-dev, ${misc:Depends}
Description: Library for efficient bottleneck and Wasserstein distances
 A header-only C++ library for efficient computation of bottleneck and
 Wasserstein distances between persistence diagrams. Implements algorithms from

Package: hera-utils
Section: math
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Utilities built from the Hera library
 Some simple utilities for efficient bottleneck and Wasserstein
 distances between persistence diagrams built from the Hera library
 (see libhera-dev).

## hera 0~git20200602+dfsg

=== debian/changelog ===
hera (0~git20200602+dfsg-3) unstable; urgency=medium

  * Add upstream metadata file with paper references.
  * Move git to Salsa.
  * Standards-version 4.5.1. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Fri, 22 Jan 2021 19:11:10 +0100

hera (0~git20200602+dfsg-2) unstable; urgency=medium

  * Add tests.

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 06 Jun 2020 16:39:33 +0200

hera (0~git20200602+dfsg-1) unstable; urgency=medium

  * Initial commit, based on upstream commit
    b73ed1face2c609958556e6f2b7704bbd8aaa263. (Closes: #961784)

 -- Gard Spreemann <gspr@nonempty.org>  Tue, 02 Jun 2020 20:40:30 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_clean:
# dh_clean nukes an upstream file.
	dh_clean -X.bak

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build-bottleneck --sourcedirectory=bottleneck
	dh_auto_clean --builddirectory=build-wasserstein --sourcedirectory=wasserstein

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-bottleneck --sourcedirectory=bottleneck
	dh_auto_configure --builddirectory=build-wasserstein --sourcedirectory=wasserstein

override_dh_auto_build:
	dh_auto_build --builddirectory=build-bottleneck --sourcedirectory=bottleneck
	dh_auto_build --builddirectory=build-wasserstein --sourcedirectory=wasserstein

execute_before_dh_install:
	install -D build-bottleneck/bottleneck_dist debian/tmp/usr/bin/hera-bottleneck
	install -D build-wasserstein/wasserstein_dist debian/tmp/usr/bin/hera-wasserstein
	install -D build-wasserstein/wasserstein_dist_dipha debian/tmp/usr/bin/hera-wasserstein-dipha

override_dh_auto_test:
	build-wasserstein/wasserstein_test

## hera 0~git20210508%2Bdfsg

=== debian/tests/control ===
Tests: upstream-bottleneck.sh
Depends: build-essential, catch2, libhera-dev
Restrictions: allow-stderr

Tests: upstream-wasserstein.sh
Depends: build-essential, catch2, libhera-dev
Restrictions: allow-stderr

## hera 0~git20210508+dfsg

=== matching/CMakeLists.txt ===
project(matching_distance)
cmake_minimum_required(VERSION 3.5.1)

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

include(GenerateExportHeader)
find_package(Boost REQUIRED)

# Default to Release

if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
    set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
endif (NOT CMAKE_BUILD_TYPE)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include
        SYSTEM ${BOOST_INCLUDE_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}/../bottleneck/include)

set(CMAKE_CXX_STANDARD 14)


if (NOT WIN32)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  ${OpenMP_CXX_FLAGS} -Wall -Wextra ")
    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -ggdb -D_GLIBCXX_DEBUG")
    set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELEASE} -O2 -g -ggdb")
endif (NOT WIN32)

file(GLOB BT_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/../bottleneck/include/*.h ${CMAKE_CURRENT_SOURCE_DIR}/../bottleneck/include/*.hpp)
file(GLOB MD_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/include/*.h ${CMAKE_CURRENT_SOURCE_DIR}/include/*.hpp)

file(GLOB SRC_TEST_FILES ${CMAKE_CURRENT_SOURCE_DIR}/tests/*.cpp)
 
find_package(Threads)
set(libraries ${libraries} "stdc++fs" ${CMAKE_THREAD_LIBS_INIT})


find_package(OpenMP)
if (OPENMP_FOUND)
    set(libraries ${libraries} ${OpenMP_CXX_LIBRARIES})
    set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
    set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")
endif()


add_executable(matching_dist "example/matching_dist.cpp" ${MD_HEADERS} ${BT_HEADERS} )
target_link_libraries(matching_dist PUBLIC ${libraries})

add_executable(module_example "example/module_example.cpp" ${MD_HEADERS} ${BT_HEADERS} )
target_link_libraries(module_example PUBLIC ${libraries})


add_executable(matching_distance_test ${SRC_TEST_FILES} ${BT_HEADERS} ${MD_HEADERS})
target_link_libraries(matching_distance_test PUBLIC ${libraries})

=== debian/changelog ===
hera (0~git20210508+dfsg-1) unstable; urgency=medium

  * New upstream, based on commit
    2ed9afc052bee7956f6abb195947de1f80cb9d91.
    - Refresh patch.
  * Correct upstream metadata.
  * Drop unneccessary version bounds.
  * Actually depend on PHAT.
    - Add patch to use the system PHAT version instead of DFSG-deleted
      bundled copy.
  * Run build-time tests from the correct directory.

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 14 Aug 2021 18:42:03 +0200

=== debian/control ===
Source: hera
Maintainer: Gard Spreemann <gspr@nonempty.org>
Section: math
Priority: optional
Standards-Version: 4.5.1
Build-Depends: catch2,
               cmake,
               debhelper-compat (= 13),
               libboost-dev,
               libphat-dev
Rules-Requires-Root: no
Homepage: https://github.com/grey-narn/hera/
Vcs-Browser: https://salsa.debian.org/gspr/hera
Vcs-Git: https://salsa.debian.org/gspr/hera.git -b debian/sid

Package: libhera-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: libboost-dev, libphat-dev, ${misc:Depends}
Description: Library for efficient bottleneck and Wasserstein distances
 A header-only C++ library for efficient computation of bottleneck and
 Wasserstein distances between persistence diagrams.

Package: hera-utils
Section: math
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Utilities built from the Hera library
 Some simple utilities for efficient bottleneck and Wasserstein
 distances between persistence diagrams built from the Hera library
 (see libhera-dev).

=== debian/rules ===
--- 
+++ 
@@ -27,5 +27,4 @@
 	install -D build-wasserstein/wasserstein_dist_dipha debian/tmp/usr/bin/hera-wasserstein-dipha
 
 override_dh_auto_test:
-	build-wasserstein/wasserstein_test
-
+	cd wasserstein/tests/data && ../../../build-wasserstein/wasserstein_test

## hera 0.1.1

=== DESCRIPTION ===
Package: hera
Title: Companion to the 'xeus-r' 'jupyter' Kernel
Version: 0.1.1
Authors@R: c(
    person("Romain", "François", email = "romain@tada.science", role = c("aut", "cre")), 
    person("QuantStack", role = c("cph"))
  )
Description: Set of R functions to be coupled with the 'xeus-r' 'jupyter' kernel
    in order to drive execution of code in notebook input cells, how R objects
    are to be displayed in output cells, and handle two way communication
    with the front end through comms. 
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.3.2
Imports: cli, evaluate, glue, IRdisplay, jsonlite, R6, repr, rlang,
        tools, utils
URL: https://github.com/jupyter-xeus/xeus-r
BugReports: https://github.com/jupyter-xeus/xeus-r/issues
NeedsCompilation: no
Packaged: 2025-04-09 12:54:37 UTC; romainfrancois
Author: Romain François [aut, cre],
  QuantStack [cph]
Maintainer: Romain François <romain@tada.science>
Repository: CRAN
Date/Publication: 2025-04-10 09:10:05 UTC

## hera 1.0.0+dfsg

=== bottleneck/CMakeLists.txt ===
project (geom_bottleneck)
cmake_minimum_required (VERSION 3.5.1)

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

# C++ 11 required
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

# Default to Release

if (NOT CMAKE_BUILD_TYPE)
    set (CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
    set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
endif (NOT CMAKE_BUILD_TYPE)

if(NOT WIN32)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -ggdb -D_GLIBCXX_DEBUG")
    set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3 ")
    set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELEASE} -O2 -g -ggdb")
endif(NOT WIN32)

include_directories         (${CMAKE_CURRENT_SOURCE_DIR}/include)

file(GLOB WS_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/include/*.h ${CMAKE_CURRENT_SOURCE_DIR}/include/*.hpp)



find_package (Threads)
set (libraries ${libraries}     ${CMAKE_THREAD_LIBS_INIT})

add_executable(bottleneck_dist ${CMAKE_CURRENT_SOURCE_DIR}/example/bottleneck_dist.cpp ${WS_HEADERS})
target_link_libraries(bottleneck_dist PUBLIC ${libraries})

add_executable(bottleneck_test  ${CMAKE_CURRENT_SOURCE_DIR}/tests/tests_main.cpp ${CMAKE_CURRENT_SOURCE_DIR}/tests/test_hera_bottleneck.cpp)
target_link_libraries(bottleneck_test PUBLIC ${libraries})

=== wasserstein/CMakeLists.txt ===
project(wasserstein)
cmake_minimum_required(VERSION 3.5.1)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
    set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
endif(NOT CMAKE_BUILD_TYPE)

# Boost
find_package(Boost)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include SYSTEM ${Boost_INCLUDE_DIR})

find_package (Threads)
set (libraries ${libraries}     ${CMAKE_THREAD_LIBS_INIT})

add_subdirectory(example)
#add_subdirectory(tests)

# Tests
add_executable(wasserstein_test  ${CMAKE_CURRENT_SOURCE_DIR}/tests/tests_main.cpp ${CMAKE_CURRENT_SOURCE_DIR}/tests/test_hera_wasserstein.cpp ${CMAKE_CURRENT_SOURCE_DIR}/tests/test_hera_wasserstein_pure_geom.cpp  include/hera_infinity.h tests/tests_reader.h)
target_link_libraries(wasserstein_test PUBLIC ${libraries})

=== bottleneck/example/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)

# Default to Release
if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif(NOT CMAKE_BUILD_TYPE)

# Add path to ANN header files
include_directories("${CMAKE_CURRENT_SOURCE_DIR}/../bottleneck/include")

set(CXX_FLAGS ${CMAKE_CXX_FLAGS_RELEASE})

if(NOT WIN32)
    set(CMAKE_CXX_FLAGS "-O3 -DNDEBUG -DBOOST_DISABLE_ASSERTS")
    add_definitions(-std=c++11)
endif(NOT WIN32)


if(UNIX)
    # specify full path to ANN
    set_property(TARGET bottleneck PROPERTY IMPORTED_LOCATION "${CMAKE_CURRENT_SOURCE_DIR}/../bottleneck/build/libbottleneck.a")
endif(UNIX)

add_executable (bottleneck_dist bottleneck_dist.cpp)

target_link_libraries(bottleneck_dist PUBLIC bottleneck)

=== wasserstein/example/CMakeLists.txt ===
add_executable(wasserstein_dist wasserstein_dist.cpp)
target_link_libraries(wasserstein_dist PUBLIC ${libraries})

add_executable(wasserstein_dist_dipha wasserstein_dist_dipha.cpp)
target_link_libraries(wasserstein_dist_dipha PUBLIC ${libraries})

# pure geometric version, arbitrary dimension
add_executable(wasserstein_dist_point_cloud wasserstein_dist_point_cloud.cpp)
target_link_libraries(wasserstein_dist_point_cloud PUBLIC ${libraries})

if(MSVC)
    target_compile_options(wasserstein_dist             PRIVATE /W4 /WX)
    target_compile_options(wasserstein_dist_dipha       PRIVATE /W4 /WX)
    target_compile_options(wasserstein_dist_point_cloud PRIVATE /W4 /WX)
else()
    target_compile_options(wasserstein_dist             PRIVATE -Wall -Wextra -Wpedantic)
    target_compile_options(wasserstein_dist_dipha       PRIVATE -Wall -Wextra -Wpedantic)
    target_compile_options(wasserstein_dist_point_cloud PRIVATE -Wall -Wextra -Wpedantic)
endif()

=== wasserstein/tests/CMakeLists.txt ===
add_executable(wasserstein_test  tests_main.cpp test_hera_wasserstein.cpp test_hera_wasserstein_pure_geom.cpp)
target_link_libraries(wasserstein_test PRIVATE ${libraries})

target_include_directories(tests PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/../include
                                         ${CMAKE_CURRENT_SOURCE_DIR}../extern/Catch2/src)

target_link_libraries(tests PRIVATE Catch2::Catch2WithMain)

add_test(NAME all COMMAND wasserstein_test)

=== debian/changelog ===
hera (1.0.0+dfsg-2) unstable; urgency=medium

  * Temporarily disable tests. (Closes: #1054686)
  * Standards-version 4.6.2. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Fri, 17 Nov 2023 17:07:57 +0100

hera (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release (first versioned release).
  * Refresh patch for using system catch2.
  * Update upstream homepage.
  * Add watch file.
  * Standards-version 4.6.0.1. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Fri, 29 Apr 2022 14:09:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Maintainer: Gard Spreemann <gspr@nonempty.org>
 Section: math
 Priority: optional
-Standards-Version: 4.5.1
-Build-Depends: catch2,
-               cmake,
+Standards-Version: 4.6.2
+Build-Depends: cmake,
                debhelper-compat (= 13),
                libboost-dev,
                libphat-dev
 Rules-Requires-Root: no
-Homepage: https://github.com/grey-narn/hera/
+Homepage: https://github.com/anigmetov/hera/
 Vcs-Browser: https://salsa.debian.org/gspr/hera
 Vcs-Git: https://salsa.debian.org/gspr/hera.git -b debian/sid
 
@@ -23,7 +22,6 @@
  Wasserstein distances between persistence diagrams.
 
 Package: hera-utils
-Section: math
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Utilities built from the Hera library

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,8 @@
 
 execute_before_dh_install:
 	install -D build-bottleneck/bottleneck_dist debian/tmp/usr/bin/hera-bottleneck
-	install -D build-wasserstein/wasserstein_dist debian/tmp/usr/bin/hera-wasserstein
-	install -D build-wasserstein/wasserstein_dist_dipha debian/tmp/usr/bin/hera-wasserstein-dipha
+	install -D build-wasserstein/example/wasserstein_dist debian/tmp/usr/bin/hera-wasserstein
+	install -D build-wasserstein/example/wasserstein_dist_dipha debian/tmp/usr/bin/hera-wasserstein-dipha
 
 override_dh_auto_test:
-	cd wasserstein/tests/data && ../../../build-wasserstein/wasserstein_test
+

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%, repacksuffix=+dfsg, dversionmangle=auto" \
    https://github.com/anigmetov/hera/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## hera 2.0+git20221115.8bfdd4b+dfsg

=== debian/changelog ===
hera (2.0+git20221115.8bfdd4b+dfsg-1) unstable; urgency=medium

  * New upstream version. (Closes: #1039001)
  * The new version is a few commits beyond upstream's tagged 2.0 release,
    as these commits fixed some serious bugs in the file layout of the
    project.
  * Drop patches.
  * Introduce new patches.
  * This version is quite heavily modified compared to upstream, with a
    significant (new) DFSG-removed chunk. The rationale is explained in
    this version's NEWS entry.
  * Revamp d/rules to reflect new upstream structure.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 27 Dec 2023 13:04:53 +0100

## hera 2.0.0%2Bgit20221115.8bfdd4b%2Bdfsg

=== wasserstein/tests/CMakeLists.txt ===
add_executable(wasserstein_tests test_hera_wasserstein.cpp test_hera_wasserstein_pure_geom.cpp)
target_link_libraries(wasserstein_tests PRIVATE ${libraries})

target_include_directories(wasserstein_tests PRIVATE SYSTEM ${Boost_INCLUDE_DIR})

target_link_libraries(wasserstein_tests PRIVATE Catch2::Catch2WithMain hera)

# copy test data to the directory with bottleneck_tests binary after build
add_custom_command(TARGET wasserstein_tests POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/data
                                               ${CMAKE_CURRENT_BINARY_DIR}/data)


add_test(NAME wasserstein COMMAND wasserstein_tests)

## hera 2.0.0+git20221115.8bfdd4b+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project(hera VERSION 1.1.1)

# C++ 14 required
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
set(CMAKE_CXX_EXTENSIONS OFF)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
    set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
endif(NOT CMAKE_BUILD_TYPE)

# by default Hera only provides the library
# so that other projects using it do not build any executables.
# That is why these options are OFF
option(HERA_BUILD_EXAMPLES OFF)
option(HERA_BUILD_PYTHON_BINDINGS OFF)
option(HERA_BUILD_TESTS OFF)

# Hera is header-only library
# adding this target just makes it possible to automatically add
# correct include directories by target_link_libraries(user_prog PRIVATE hera)
add_library(hera INTERFACE)
target_include_directories(hera INTERFACE include/ extern/)

if(HERA_BUILD_TESTS)
    # TODO: detect system Catch2?
    add_subdirectory(extern/Catch2)
    set(HERA_BUILD_EXAMPLES ON)
    enable_testing()
endif()

if(HERA_BUILD_EXAMPLES)
    add_subdirectory(bottleneck)
    add_subdirectory(wasserstein)
    add_subdirectory(matching)
endif()

if(HERA_BUILD_PYTHON_BINDINGS)
    add_subdirectory(bindings/python)
endif()

=== bottleneck/CMakeLists.txt ===
find_package (Threads)
set (libraries ${libraries}  ${CMAKE_THREAD_LIBS_INIT} hera)

add_executable(bottleneck_dist bottleneck_dist.cpp)
target_link_libraries(bottleneck_dist PUBLIC ${libraries})

if(HERA_BUILD_TESTS)
    add_subdirectory(tests)
endif()

=== matching/CMakeLists.txt ===
include(GenerateExportHeader)

# Boost
find_package(Boost REQUIRED)

find_package(Threads)

set(libraries ${libraries} "stdc++fs" ${CMAKE_THREAD_LIBS_INIT} hera)

find_package(OpenMP)
if (OPENMP_FOUND)
    set(libraries ${libraries} ${OpenMP_CXX_LIBRARIES})
    set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
    set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")
endif()

foreach(exec matching_dist module_example)
    add_executable(${exec} "${exec}.cpp")
    target_include_directories(${exec} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/../extern/opts/include)
    target_include_directories(${exec} SYSTEM PRIVATE ${Boost_INCLUDE_DIR})
    target_link_libraries(${exec} PUBLIC ${libraries})

    if(MSVC)
        target_compile_options(${exec} PRIVATE /W4 /WX)
    else()
        target_compile_options(${exec} PRIVATE -Wall -Wextra -Wpedantic)
    endif()
endforeach()

#if(HERA_BUILD_TESTS)
#    add_subdirectory(tests)
#endif()

=== wasserstein/CMakeLists.txt ===
# Boost
find_package(Boost REQUIRED)

find_package(Threads)
set (libraries ${libraries} ${CMAKE_THREAD_LIBS_INIT} hera)

foreach(wd wasserstein_dist wasserstein_dist_dipha wasserstein_dist_point_cloud)
    add_executable(${wd} "${wd}.cpp")

    target_include_directories(${wd} SYSTEM PRIVATE ${Boost_INCLUDE_DIR})
    target_include_directories(${wd} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/../extern/opts/include)

    target_link_libraries(${wd} PUBLIC ${libraries})

    if(MSVC)
        target_compile_options(${wd} PRIVATE /W4 /WX)
    else()
        target_compile_options(${wd} PRIVATE -Wall -Wextra -Wpedantic)
    endif()
endforeach()

if(HERA_BUILD_TESTS)
    add_subdirectory(tests)
endif()

=== bindings/python/CMakeLists.txt ===
add_subdirectory(pybind11)

set(CMAKE_CXX_STANDARD 14)

if (CMAKE_LIBRARY_OUTPUT_DIRECTORY)        # to work with pip
    set (MODULE_OUTPUT_DIRECTORY ${CMAKE_LIBRARY_OUTPUT_DIRECTORY})
else()
    set (MODULE_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
endif()

file (MAKE_DIRECTORY "${MODULE_OUTPUT_DIRECTORY}/hera")
file (GLOB HERA_PYTHON "${CMAKE_CURRENT_SOURCE_DIR}/hera/*.py")

add_custom_target  (pyhera ALL ${CMAKE_COMMAND} -E copy_directory
                    ${CMAKE_CURRENT_SOURCE_DIR}/hera ${MODULE_OUTPUT_DIRECTORY}/hera
                    DEPENDS ${HERA_PYTHON})

pybind11_add_module         (_hera hera.cpp hera_ws_geom.cpp)
target_link_libraries       (_hera PRIVATE hera)

set_target_properties       (_hera PROPERTIES OUTPUT_NAME hera/_hera)

=== bottleneck/tests/CMakeLists.txt ===
add_executable(bottleneck_tests test_hera_bottleneck.cpp)

target_link_libraries(bottleneck_tests PRIVATE Catch2::Catch2WithMain hera)

# copy test data to the directory with bottleneck_tests binary after build
add_custom_command(TARGET bottleneck_tests POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/data
                                               ${CMAKE_CURRENT_BINARY_DIR}/data)

add_test(NAME bottleneck COMMAND bottleneck_tests)

=== bindings/python/pybind11/docs/requirements.txt ===
breathe==4.32.0
sphinx==4.4.0
sphinx_rtd_theme==1.0.0
sphinxcontrib-moderncmakedomain==3.21.4
sphinxcontrib-svg2pdfconverter==1.2.0

=== bindings/python/pybind11/tests/CMakeLists.txt ===
# CMakeLists.txt -- Build system for the pybind11 test suite
#
# Copyright (c) 2015 Wenzel Jakob <wenzel@inf.ethz.ch>
#
# All rights reserved. Use of this source code is governed by a
# BSD-style license that can be found in the LICENSE file.

cmake_minimum_required(VERSION 3.4)

# The `cmake_minimum_required(VERSION 3.4...3.18)` syntax does not work with
# some versions of VS that have a patched CMake 3.11. This forces us to emulate
# the behavior using the following workaround:
if(${CMAKE_VERSION} VERSION_LESS 3.21)
  cmake_policy(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION})
else()
  cmake_policy(VERSION 3.21)
endif()

# Only needed for CMake < 3.5 support
include(CMakeParseArguments)

# Filter out items; print an optional message if any items filtered. This ignores extensions.
#
# Usage:
#   pybind11_filter_tests(LISTNAME file1.cpp file2.cpp ... MESSAGE "")
#
macro(pybind11_filter_tests LISTNAME)
  cmake_parse_arguments(ARG "" "MESSAGE" "" ${ARGN})
  set(PYBIND11_FILTER_TESTS_FOUND OFF)
  # Make a list of the test without any extensions, for easier filtering.
  set(_TMP_ACTUAL_LIST "${${LISTNAME}};") # enforce ';' at the end to allow matching last item.
  string(REGEX REPLACE "\\.[^.;]*;" ";" LIST_WITHOUT_EXTENSIONS "${_TMP_ACTUAL_LIST}")
  foreach(filename IN LISTS ARG_UNPARSED_ARGUMENTS)
    string(REGEX REPLACE "\\.[^.]*$" "" filename_no_ext ${filename})
    # Search in the list without extensions.
    list(FIND LIST_WITHOUT_EXTENSIONS ${filename_no_ext} _FILE_FOUND)
    if(_FILE_FOUND GREATER -1)
      list(REMOVE_AT ${LISTNAME} ${_FILE_FOUND}) # And remove from the list with extensions.
      list(REMOVE_AT LIST_WITHOUT_EXTENSIONS ${_FILE_FOUND}
      )# And our search list, to ensure it is in sync.
      set(PYBIND11_FILTER_TESTS_FOUND ON)
    endif()
  endforeach()
  if(PYBIND11_FILTER_TESTS_FOUND AND ARG_MESSAGE)
    message(STATUS "${ARG_MESSAGE}")
  endif()
endmacro()

macro(possibly_uninitialized)
  foreach(VARNAME ${ARGN})
    if(NOT DEFINED "${VARNAME}")
      set("${VARNAME}" "")
    endif()
  endforeach()
endmacro()

# Function to add additional targets if any of the provided tests are found.
# Needles; Specifies the test names to look for.
# Additions; Specifies the additional test targets to add when any of the needles are found.
macro(tests_extra_targets needles additions)
  # Add the index for this relation to the index extra targets map.
  list(LENGTH PYBIND11_TEST_EXTRA_TARGETS PYBIND11_TEST_EXTRA_TARGETS_LEN)
  list(APPEND PYBIND11_TEST_EXTRA_TARGETS ${PYBIND11_TEST_EXTRA_TARGETS_LEN})
  # Add the test names to look for, and the associated test target additions.
  set(PYBIND11_TEST_EXTRA_TARGETS_NEEDLES_${PYBIND11_TEST_EXTRA_TARGETS_LEN} ${needles})
  set(PYBIND11_TEST_EXTRA_TARGETS_ADDITION_${PYBIND11_TEST_EXTRA_TARGETS_LEN} ${additions})
endmacro()

# New Python support
if(DEFINED Python_EXECUTABLE)
  set(PYTHON_EXECUTABLE "${Python_EXECUTABLE}")
  set(PYTHON_VERSION "${Python_VERSION}")
endif()

# There's no harm in including a project in a project
project(pybind11_tests CXX)

# Access FindCatch and more
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/../tools")

option(PYBIND11_WERROR "Report all warnings as errors" OFF)
option(DOWNLOAD_EIGEN "Download EIGEN (requires CMake 3.11+)" OFF)
option(PYBIND11_CUDA_TESTS "Enable building CUDA tests (requires CMake 3.12+)" OFF)
set(PYBIND11_TEST_OVERRIDE
    ""
    CACHE STRING "Tests from ;-separated list of *.cpp files will be built instead of all tests")
set(PYBIND11_TEST_FILTER
    ""
    CACHE STRING "Tests from ;-separated list of *.cpp files will be removed from all tests")

if(CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_SOURCE_DIR)
  # We're being loaded directly, i.e. not via add_subdirectory, so make this
  # work as its own project and load the pybind11Config to get the tools we need
  find_package(pybind11 REQUIRED CONFIG)
endif()

if(NOT CMAKE_BUILD_TYPE AND NOT DEFINED CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting tests build type to MinSizeRel as none was specified")
  set(CMAKE_BUILD_TYPE
      MinSizeRel
      CACHE STRING "Choose the type of build." FORCE)
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release" "MinSizeRel"
                                               "RelWithDebInfo")
endif()

if(PYBIND11_CUDA_TESTS)
  enable_language(CUDA)
  if(DEFINED CMAKE_CXX_STANDARD)
    set(CMAKE_CUDA_STANDARD ${CMAKE_CXX_STANDARD})
  endif()
  set(CMAKE_CUDA_STANDARD_REQUIRED ON)
endif()

# Full set of test files (you can override these; see below, overrides ignore extension)
# Any test that has no extension is both .py and .cpp, so 'foo' will add 'foo.cpp' and 'foo.py'.
# Any test that has an extension is exclusively that and handled as such.
set(PYBIND11_TEST_FILES
    test_async
    test_buffers
    test_builtin_casters
    test_call_policies
    test_callbacks
    test_chrono
    test_class
    test_const_name
    test_constants_and_functions
    test_copy_move
    test_custom_type_casters
    test_custom_type_setup
    test_docstring_options
    test_eigen
    test_enum
    test_eval
    test_exceptions
    test_factory_constructors
    test_gil_scoped
    test_iostream
    test_kwargs_and_defaults
    test_local_bindings
    test_methods_and_attributes
    test_modules
    test_multiple_inheritance
    test_numpy_array
    test_numpy_dtypes
    test_numpy_vectorize
    test_opaque_types
    test_operator_overloading
    test_pickling
    test_pytypes
    test_sequences_and_iterators
    test_smart_ptr
    test_stl
    test_stl_binders
    test_tagbased_polymorphic
    test_thread
    test_union
    test_virtual_functions)

# Invoking cmake with something like:
#     cmake -DPYBIND11_TEST_OVERRIDE="test_callbacks.cpp;test_pickling.cpp" ..
# lets you override the tests that get compiled and run.  You can restore to all tests with:
#     cmake -DPYBIND11_TEST_OVERRIDE= ..
if(PYBIND11_TEST_OVERRIDE)
  # Instead of doing a direct override here, we iterate over the overrides without extension and
  # match them against entries from the PYBIND11_TEST_FILES, anything that not matches goes into the filter list.
  string(REGEX REPLACE "\\.[^.;]*;" ";" TEST_OVERRIDE_NO_EXT "${PYBIND11_TEST_OVERRIDE};")
  string(REGEX REPLACE "\\.[^.;]*;" ";" TEST_FILES_NO_EXT "${PYBIND11_TEST_FILES};")
  # This allows the override to be done with extensions, preserving backwards compatibility.
  foreach(test_name ${TEST_FILES_NO_EXT})
    if(NOT ${test_name} IN_LIST TEST_OVERRIDE_NO_EXT
    )# If not in the whitelist, add to be filtered out.
      list(APPEND PYBIND11_TEST_FILTER ${test_name})
    endif()
  endforeach()
endif()

# You can also filter tests:
if(PYBIND11_TEST_FILTER)
  pybind11_filter_tests(PYBIND11_TEST_FILES ${PYBIND11_TEST_FILTER})
endif()

# Skip tests for CUDA check:
# /pybind11/tests/test_constants_and_functions.cpp(125):
#   error: incompatible exception specifications
if(PYBIND11_CUDA_TESTS)
  pybind11_filter_tests(
    PYBIND11_TEST_FILES test_constants_and_functions.cpp MESSAGE
    "Skipping test_constants_and_functions due to incompatible exception specifications")
endif()

# Now that the test filtering is complete, we need to split the list into the test for PYTEST
# and the list for the cpp targets.
set(PYBIND11_CPPTEST_FILES "")
set(PYBIND11_PYTEST_FILES "")

foreach(test_name ${PYBIND11_TEST_FILES})
  if(test_name MATCHES "\\.py$") # Ends in .py, purely python test.
    list(APPEND PYBIND11_PYTEST_FILES ${test_name})
  elseif(test_name MATCHES "\\.cpp$") # Ends in .cpp, purely cpp test.
    list(APPEND PYBIND11_CPPTEST_FILES ${test_name})
  elseif(NOT test_name MATCHES "\\.") # No extension specified, assume both, add extension.
    list(APPEND PYBIND11_PYTEST_FILES ${test_name}.py)
    list(APPEND PYBIND11_CPPTEST_FILES ${test_name}.cpp)
  else()
    message(WARNING "Unhanded test extension in test: ${test_name}")
  endif()
endforeach()
set(PYBIND11_TEST_FILES ${PYBIND11_CPPTEST_FILES})
list(SORT PYBIND11_PYTEST_FILES)

# Contains the set of test files that require pybind11_cross_module_tests to be
# built; if none of these are built (i.e. because TEST_OVERRIDE is used and
# doesn't include them) the second module doesn't get built.
tests_extra_targets("test_exceptions.py;test_local_bindings.py;test_stl.py;test_stl_binders.py"
                    "pybind11_cross_module_tests")

# And add additional targets for other tests.
tests_extra_targets("test_gil_scoped.py" "cross_module_gil_utils")

set(PYBIND11_EIGEN_REPO
    "https://gitlab.com/libeigen/eigen.git"
    CACHE STRING "Eigen repository to use for tests")
# Always use a hash for reconfigure speed and security reasons
# Include the version number for pretty printing (keep in sync)
set(PYBIND11_EIGEN_VERSION_AND_HASH
    "3.4.0;929bc0e191d0927b1735b9a1ddc0e8b77e3a25ec"
    CACHE STRING "Eigen version to use for tests, format: VERSION;HASH")

list(GET PYBIND11_EIGEN_VERSION_AND_HASH 0 PYBIND11_EIGEN_VERSION_STRING)
list(GET PYBIND11_EIGEN_VERSION_AND_HASH 1 PYBIND11_EIGEN_VERSION_HASH)

# Check if Eigen is available; if not, remove from PYBIND11_TEST_FILES (but
# keep it in PYBIND11_PYTEST_FILES, so that we get the "eigen is not installed"
# skip message).
list(FIND PYBIND11_TEST_FILES test_eigen.cpp PYBIND11_TEST_FILES_EIGEN_I)
if(PYBIND11_TEST_FILES_EIGEN_I GREATER -1)
  # Try loading via newer Eigen's Eigen3Config first (bypassing tools/FindEigen3.cmake).
  # Eigen 3.3.1+ exports a cmake 3.0+ target for handling dependency requirements, but also
  # produces a fatal error if loaded from a pre-3.0 cmake.
  if(DOWNLOAD_EIGEN)
    if(CMAKE_VERSION VERSION_LESS 3.11)
      message(FATAL_ERROR "CMake 3.11+ required when using DOWNLOAD_EIGEN")
    endif()

    include(FetchContent)
    FetchContent_Declare(
      eigen
      GIT_REPOSITORY "${PYBIND11_EIGEN_REPO}"
      GIT_TAG "${PYBIND11_EIGEN_VERSION_HASH}")

    FetchContent_GetProperties(eigen)
    if(NOT eigen_POPULATED)
      message(
        STATUS
          "Downloading Eigen ${PYBIND11_EIGEN_VERSION_STRING} (${PYBIND11_EIGEN_VERSION_HASH}) from ${PYBIND11_EIGEN_REPO}"
      )
      FetchContent_Populate(eigen)
    endif()

    set(EIGEN3_INCLUDE_DIR ${eigen_SOURCE_DIR})
    set(EIGEN3_FOUND TRUE)
    # When getting locally, the version is not visible from a superprojet,
    # so just force it.
    set(EIGEN3_VERSION "${PYBIND11_EIGEN_VERSION_STRING}")

  else()
    find_package(Eigen3 3.2.7 QUIET CONFIG)

    if(NOT EIGEN3_FOUND)
      # Couldn't load via target, so fall back to allowing module mode finding, which will pick up
      # tools/FindEigen3.cmake
      find_package(Eigen3 3.2.7 QUIET)
    endif()
  endif()

  if(EIGEN3_FOUND)
    if(NOT TARGET Eigen3::Eigen)
      add_library(Eigen3::Eigen IMPORTED INTERFACE)
      set_property(TARGET Eigen3::Eigen PROPERTY INTERFACE_INCLUDE_DIRECTORIES
                                                 "${EIGEN3_INCLUDE_DIR}")
    endif()

    # Eigen 3.3.1+ cmake sets EIGEN3_VERSION_STRING (and hard codes the version when installed
    # rather than looking it up in the cmake script); older versions, and the
    # tools/FindEigen3.cmake, set EIGEN3_VERSION instead.
    if(NOT EIGEN3_VERSION AND EIGEN3_VERSION_STRING)
      set(EIGEN3_VERSION ${EIGEN3_VERSION_STRING})
    endif()
    message(STATUS "Building tests with Eigen v${EIGEN3_VERSION}")
  else()
    list(REMOVE_AT PYBIND11_TEST_FILES ${PYBIND11_TEST_FILES_EIGEN_I})
    message(
      STATUS "Building tests WITHOUT Eigen, use -DDOWNLOAD_EIGEN=ON on CMake 3.11+ to download")
  endif()
endif()

# Optional dependency for some tests (boost::variant is only supported with version >= 1.56)
find_package(Boost 1.56)

if(Boost_FOUND)
  if(NOT TARGET Boost::headers)
    add_library(Boost::headers IMPORTED INTERFACE)
    if(TARGET Boost::boost)
      # Classic FindBoost
      set_property(TARGET Boost::boost PROPERTY INTERFACE_LINK_LIBRARIES Boost::boost)
    else()
      # Very old FindBoost, or newer Boost than CMake in older CMakes

=== bindings/python/pybind11/tests/requirements.txt ===
build==0.7.0
numpy==1.21.5; platform_python_implementation=="PyPy" and sys_platform=="linux" and python_version=="3.7"
numpy==1.19.3; platform_python_implementation!="PyPy" and python_version=="3.6"
numpy==1.21.5; platform_python_implementation!="PyPy" and python_version>="3.7" and python_version<"3.10"
numpy==1.22.2; platform_python_implementation!="PyPy" and python_version>="3.10" and python_version<"3.11"
pytest==7.0.0
pytest-timeout
scipy==1.5.4; platform_python_implementation!="PyPy" and python_version<"3.10"
scipy==1.8.0; platform_python_implementation!="PyPy" and python_version=="3.10"

=== debian/changelog ===
hera (2.0.0+git20221115.8bfdd4b+dfsg-1) unstable; urgency=medium

  * No-change re-upload with correct version number (2.0.0 instead of
    2.0).

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 28 Dec 2023 09:46:28 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Standards-Version: 4.6.2
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libboost-dev,
-               libphat-dev
+               libboost-dev
 Rules-Requires-Root: no
 Homepage: https://github.com/anigmetov/hera/
 Vcs-Browser: https://salsa.debian.org/gspr/hera
@@ -16,7 +15,7 @@
 Section: libdevel
 Architecture: all
 Multi-Arch: foreign
-Depends: libboost-dev, libphat-dev, ${misc:Depends}
+Depends: libboost-dev, ${misc:Depends}
 Description: Library for efficient bottleneck and Wasserstein distances
  A header-only C++ library for efficient computation of bottleneck and
  Wasserstein distances between persistence diagrams.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --builddirectory=build

override_dh_clean:
# dh_clean nukes an upstream file.
	dh_clean -X.bak

override_dh_auto_configure:
	dh_auto_configure -- -DHERA_BUILD_TESTS=OFF -DHERA_BUILD_PYTHON_BINDINGS=OFF -DHERA_BUILD_EXAMPLES=ON

override_dh_auto_install:
	install -D build/bottleneck/bottleneck_dist debian/tmp/usr/bin/hera-bottleneck
	install -D build/wasserstein/wasserstein_dist debian/tmp/usr/bin/hera-wasserstein
	install -D build/wasserstein/wasserstein_dist_dipha debian/tmp/usr/bin/hera-wasserstein-dipha
	install -D build/wasserstein/wasserstein_dist_point_cloud debian/tmp/usr/bin/hera-wasserstein-point-cloud
	cp -r include debian/tmp/usr/include
	rm -rf debian/tmp/usr/include/hera/matching*
	rm -rf debian/tmp/usr/include/hera/wasserstein/catch

override_dh_auto_test:
